.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)yyfix.1	5.4 (Berkeley) 3/23/93
.\" $FreeBSD: src/usr.bin/yacc/yyfix.1,v 1.1.1.1.8.3 1999/09/05 11:33:28 peter Exp $
.\"
.Dd March 23, 1993
.Dt YYFIX 1
.Os BSD 4.4
.Sh NAME
.Nm yyfix
.Nd extract tables from y.tab.c
.Sh SYNOPSIS
.Nm
.Ar file
.Op Ar tables
.Sh DESCRIPTION
Programs have historically used a script (often named
.Dq :yyfix )
to extract tables from the
.Xr yacc 1
generated file
.Pa y.tab.c .
As the names of the tables generated by the current version of
.Xr yacc
are different from those of historical versions of
.Xr yacc ,
the shell script
.Nm
is provided to simplify the transition.
.Pp
The first (and required) argument to
.Nm
is the name of the file where the extracted tables should be stored.
.Pp
If further command line arguments are specified, they are taken as
the list of tables to be extracted.
Otherwise,
.Nm
attempts to determine if the
.Pa y.tab.c
file is from an old or new
.Xr yacc ,
and extracts the appropriate tables.
.Pp
The tables
.Dq yyexca ,
.Dq yyact ,
.Dq yypact ,
.Dq yypgo ,
.Dq yyr1 ,
.Dq yyr2 ,
.Dq yychk ,
and
.Dq yydef
are extracted
from historical versions of
.Xr yacc .
.Pp
The tables
.Dq yylhs ,
.Dq yylen ,
.Dq yydefred ,
.Dq yydgoto ,
.Dq yysindex ,
.Dq yyrindex ,
.Dq yygindex ,
.Dq yytable ,
.Dq yyname ,
.Dq yyrule ,
and
.Dq yycheck ,
are extracted from the current version of
.Xr yacc .
.Sh FILES
.Bl -tag -width y.tab.c
.It Pa y.tab.c
File from which tables are extracted.
.El
.Sh SEE ALSO
.Xr yacc 1
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.4 .
